Subject: Re: bug#14000: 24.3.50; electric-pair-post-self-insert-function does not handle nested parentheses

From: Carsten Bormann <[email-masked]>
Date: Tue, 26 Mar 2013 08:27:31 +0100

On Mar 26, 2013, at 03:41, Stefan Monnier <[email-masked]> wrote:

>> In electric-pair-mode, I type "(("
>> I get "(()"
>> I should get "(())"
>> Fix below.
> 
> Actually, it's not a bug but a feature.  There's no way to know for sure
> when pairing is desired and when it's not, and as an electric-pair user
> I prefer electric-pair to err on the conservative side.

OK, I maybe should have suggested adding a preference.
But if you live in a world of paired parentheses (and I thought Emacs-Lispers were!) you want to add them in pairs, always.

> This said, it would be nice to also accommodate users with different
> usage patterns.  If you look at the many other pairing packages, they
> show a whole bunch of slightly different behaviors, it would be nice to
> try and see how we can "merge" them.

I haven't done the work of surveying pairing packages.
I just happened to pick up electric-pair-mode from a specific package (I forget which), and since it is a global thing, it immediately started affecting all my buffers.  It is nice enough, so I kept it on.  
But the behavior I was fixing here is seriously jarring (as in *always* wrong) in my usage.

Grüße, Carsten